<?
/*
=======================================
Дневники для Dcms-Social
Автор: Искатель
---------------------------------------
Этот скрипт распостроняется по лицензии
движка Dcms-Social. 
При использовании указывать ссылку на
оф. сайт http://dcms-social.ru
---------------------------------------
Контакты
ICQ: 587863132
http://dcms-social.ru
=======================================
*/
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';

/* Бан пользователя */ 
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)
{
header('Location: /ban.php?'.SID);exit;
}

$set['title']='Новый блог';
include_once '../../sys/inc/thead.php';
title();

if (!isset($user))header("location: index.php?");

if (isset($_POST['title']) && isset($_POST['msg']))
{
if (($user['rating'] < 2 || $user['group_access'] < 6 ))
{
if (!isset($_SESSION['captcha']))$err[]='Ошибка проверочного числа';
if (!isset($_POST['chislo']))$err[]='Введите проверочное число';
elseif ($_POST['chislo']==null)$err[]='Введите проверочное число';
elseif ($_POST['chislo']!=$_SESSION['captcha'])$err[]='Проверьте правильность ввода проверочного числа';
}
if (!isset($err))
{
$title=my_esc($_POST['title'],1);
$msg=my_esc($_POST['msg']);
$id_dir=intval($_POST['id_dir']);
if($_POST['istochnik'] != NULL)
$istochnik = my_esc($_POST['istochnik'],1);
else
$istochnik = NULL;

if (isset($_POST['private'])){
$privat=intval($_POST['private']);
}else{
$privat=0;
}

if (isset($_POST['private_komm'])){
$privat_komm=intval($_POST['private_komm']);
}else{
$privat_komm=0;
}


$type=0;


if (strlen2($title)>150)$err='Название не может превышать больше 150 символов';
if (strlen2($title)<3)$err='Короткое название';

if (strlen2($msg)>300000)$err='Статья не может превышать больше 300000 символов';
if (strlen2($msg)<2 && $type == 0)$err='Статья слишком короткая';

if($istochnik != NULL)
if (strlen2($istochnik )>100)$err='Источник не может превышать больше 100 символов';
if($id_dir=='0')$err = 'Выберите категорию';

if (!isset($err)){


mysql_query("INSERT INTO `blog` (`time`, `msg`, `name`,`istochnik`,`id_user`, `private`, `private_komm`, `id_dir`, `type`) values('$time', '$msg', '$title','$istochnik','$user[id]', '$privat', '$privat_komm', '$id_dir', '$type')");
$st = mysql_insert_id();

$mod = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `group_access` > '5'"));

$blog_mod = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog` WHERE `id_user` = '".$user['id']."' ORDER BY `id` DESC LIMIT 1"));
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$mod['id']."', '".$user['nick']." написал новую статью. Вы должны ее [url=http://".$_SERVER['HTTP_HOST']."/plugins/blog/list.php?id=".$blog_mod['id']."]промодерировать[/url]', '$time')");
/*
===================================
Лента
===================================
*/
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '".$user['id']."' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a=get_user($f['frend']);
$lentaSet = mysql_fetch_array(mysql_query("SELECT * FROM `tape_set` WHERE `id_user` = '".$a['id']."' LIMIT 1")); // Общая настройка ленты

if ($f['lenta_notes'] == 1 && $lentaSet['lenta_notes'] == 1 ) // фильтр рассылки
mysql_query("INSERT INTO `tape` (`id_user`,`avtor`, `type`, `time`, `id_file`) values('$a[id]', '$user[id]', 'notes', '$time', '$st')"); 

}

mysql_query("OPTIMIZE TABLE `blog`");

$_SESSION['message'] = 'Блог успешно создан';
header("Location: list.php?id=$st");
$_SESSION['captcha']=NULL;
exit;
}
}
}
if (isset($_GET['id_dir']))
$id_dir=intval($_GET['id_dir']);
else
$id_dir=0;


err();
aut();




echo "<form method=\"post\" name=\"message\" action=\"add.php\">\n";
echo "<div class='mess'>* Название: (150 симв)<br />\n<input name=\"title\" size=\"16\" maxlength=\"150\" value=\"\" type=\"text\" /></div>\n";

echo '<div class="mess">* Статья: (300000 симв)';
if (is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
echo '</div>';
echo "<div class='mess'>Источник: (100 симв)<br />\n<input name=\"istochnik\" size=\"16\" maxlength=\"100\" value=\"\" type=\"text\" /></div>\n";

echo "<div class='mess'>* Категория:<br />\n<select name='id_dir'>\n";
$q=mysql_query("SELECT * FROM `blog_dir` ORDER BY `id` DESC");
echo "<option value='0'".($id_dir==0?" selected='selected'":null)."><b>Без категории</b></option>\n";

while ($post = mysql_fetch_assoc($q))
{
echo "<option value='$post[id]'".($id_dir == $post['id']?" selected='selected'" : null).">" . htmlspecialchars($post['name']) . "</option>\n";
}
echo "</select><br />\n";

/*
echo "Могут смотреть:<br /><input name='private' type='radio' value='0'  selected='selected'/>Все ";
echo "<input name='private' type='radio'  value='1' />Друзья ";
echo "<input name='private' type='radio'  value='2' />Только я";
*/

echo "<br>Могут комментировать:<br /><input name='private_komm' type='radio' value='0'  selected='selected'/>Все ";
echo "<input name='private_komm' type='radio'  value='1' />Друзья ";
echo "<input name='private_komm' type='radio'  value='2' />Только я<br>";

if ($user['rating'] < 6 || $user['group_access'] < 6)
echo "<img src='/captcha.php?SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\n <input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";

echo '</div><div class="mess"><font color=red>*</font> Поля обязательные для заполнения<br>';
echo "<input value=\"Создать\" type=\"submit\" />\n";
echo "</div></form>\n";

echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='index.php'>Блоги</a><br />\n";
echo "</div>\n";

include_once '../../sys/inc/tfoot.php';
?>